Skip to main content
GET
/
api
/
sol
/
platform
/
pnl-leaderboard
Top wallets by realized PnL
curl --request GET \
  --url 'https://uk.raze.sh/api/sol/platform/pnl-leaderboard?apiKey='
{
  "success": true,
  "period": "daily",
  "platform": "<string>",
  "wallets": [
    {
      "signer": "<string>",
      "pnlSol": 123,
      "pnlUsd": 123,
      "trades": 123
    }
  ],
  "limit": 123,
  "offset": 123,
  "solPriceUsd": 123,
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

apiKey
string
query
required

Query Parameters

period
enum<string>
default:daily

Time period to aggregate over

Available options:
daily,
weekly,
monthly
platform
string

Optional DEX platform filter (e.g. pumpfun, raydiumv4, orca, meteoradlmm, pumpswap). Omit for global stats.

limit
integer
default:100

Number of wallets to return (max 500)

Required range: x <= 500
offset
integer
default:0

Pagination offset

Response

Success

success
boolean
period
enum<string>
Available options:
daily,
weekly,
monthly
platform
string

DEX platform filter applied, or "all" if unfiltered

wallets
object[]
limit
integer
offset
integer
solPriceUsd
number
timestamp
string<date-time>